Package com.independentsoft.office.odf.styles

# Class DefaultChartStyle

java.lang.Object
com.independentsoft.office.odf.styles.DefaultStyle
com.independentsoft.office.odf.styles.DefaultChartStyle

public class DefaultChartStyle extends DefaultStyle
Represents default styles of the chart.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `family`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultChartStyle()`
  Initializes a new instance of the DefaultChartStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DefaultChartStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `ChartProperties`
  `getChartProperties()`
  Specifies formatting properties for chart.
  `GraphicProperties`
  `getGraphicProperties()`
  Specifies formatting properties for graphic.
  `ParagraphProperties`
  `getParagraphProperties()`
  Specifies formatting properties for paragraph.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `toString()`
  Converts the value of the current DefaultChartStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.DefaultStyle

  `getFamily, setFamily, toString`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultChartStyle

    public DefaultChartStyle()
    Initializes a new instance of the DefaultChartStyle class.

- ## Method Details

  - ### clone

    public DefaultChartStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Overrides:
      `clone` in class `Object`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current DefaultChartStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `DefaultStyle`
    Returns:
      the string

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getParagraphProperties

    public ParagraphProperties getParagraphProperties()
    Specifies formatting properties for paragraph.
    Returns:
      the paragraph properties

  - ### getGraphicProperties

    public GraphicProperties getGraphicProperties()
    Specifies formatting properties for graphic.
    Returns:
      the graphic properties

  - ### getChartProperties

    public ChartProperties getChartProperties()
    Specifies formatting properties for chart.
    Returns:
      the chart properties